// Custom Twilight Forest recipes for blocks and items

val transformationPowder = <item:twilightforest:transformation_powder>;
val auroraBlock = <item:twilightforest:aurora_block>;
val auroraGlass = <item:twilightforest:auroralized_glass>;
val underbrick = <twilightforest:underbrick>;
val trollsteinn = <item:twilightforest:trollsteinn>;
val castleBrick = <item:twilightforest:castle_brick>;
val nagaStone = <item:twilightforest:etched_nagastone>;
val nagaScale = <item:twilightforest:naga_scale>;
val glowstoneDust = <item:minecraft:glowstone_dust>;
val lapis = <item:minecraft:dye:4>;
val bonemeal = <item:minecraft:dye:15>;
val certusQuartzDust = <item:appliedenergistics2:material:3>;
val snowBlock = <item:minecraft:snow>;
val quartzBlock = <item:minecraft:quartz_block>;
val glass = <item:minecraft:glass>;
val redDye = <item:minecraft:dye:1>;
val orangeDye = <item:minecraft:dye:14>;
val yellowDye = <item:minecraft:dye:11>;
val greenDye = <item:minecraft:dye:2>;
val purpleDye = <item:minecraft:dye:5>;
val stoneBrick = <item:minecraft:stonebrick>;
val podSoil = <item:minecraft:dirt:2>;
val stone = <item:minecraft:stone>;
val oakSapling = <item:minecraft:sapling>;
val brownMushroom = <item:minecraft:brown_mushroom>;
val rainbowSapling = <twilightforest:twilight_sapling:9>;

// Shapeless recipe for Transformation Powder. Each recipe makes 4.
recipes.addShaped("transformation_powder", transformationPowder * 4, [
    [glowstoneDust, lapis],
    [bonemeal, certusQuartzDust]
]);

// Shaped recipe for Aurora Block. Each recipe makes 8 could also be reduced to 4.
recipes.addShaped("aurora_block", auroraBlock * 8, [
  [snowBlock, quartzBlock, snowBlock], 
  [quartzBlock, transformationPowder, quartzBlock], 
  [snowBlock, quartzBlock, snowBlock]
]);

// Shaped recipe for Aurora Glass. Each recipe makes 8
recipes.addShaped("auroralized_glass", auroraGlass * 8, [
        [glass, glass, glass],
        [glass, auroraBlock, glass],
        [glass, glass, glass]
]);

// Shaped recipe for rainbow oak sapling
recipes.addShaped("rainbow_oak_sapling", rainbowSapling * 8, [
        [redDye, orangeDye, yellowDye],
        [transformationPowder, oakSapling, transformationPowder],
        [greenDye, lapis, purpleDye]
]);

// Shaped recipe for underbrick. Each recipe makes 8
recipes.addShaped("underbrick", underbrick * 8, [
  [podSoil, stoneBrick, podSoil], 
  [stoneBrick, transformationPowder, stoneBrick], 
  [podSoil, stoneBrick, podSoil]
]);

// Shaped recipe for trollsteinn block. Each recipe makes 6
recipes.addShaped("trollsteinn", trollsteinn * 6, [
  [stone, stone, stone], 
  [brownMushroom, transformationPowder, brownMushroom], 
  [stone, stone, stone]
]);

// Shaped recipe for castle brick. Each recipe makes 8
recipes.addShaped("castle_brick", castleBrick * 8, [
  [quartzBlock, stoneBrick, quartzBlock], 
  [stoneBrick, transformationPowder, stoneBrick], 
  [quartzBlock, stoneBrick, quartzBlock]
]);

// Shaped recipe for nagastone. Each recipe makes 8
recipes.addShaped("etched_nagastone", nagaStone * 8, [
  [stone, stoneBrick, stone], 
  [stoneBrick, nagaScale, stoneBrick], 
  [stone, stoneBrick, stone]
]);